#include "SymbolTable.h"

stIndex dolLabel=0;
stIndex blankLabel=0;
stIndex auxLabel=0;
stIndex auxgLabel=0;
stIndex npLabel=0;
stIndex nnpLabel=0;
stIndex nnLabel=0;
stIndex nnsLabel=0;
stIndex nnpsLabel=0;
stIndex ppLabel=0;
stIndex ccLabel=0;
stIndex cdLabel=0;
stIndex prpLabel=0;
stIndex prpdLabel=0;
stIndex conjpLabel=0;
stIndex commaLabel=0;
stIndex exLabel=0;
stIndex wdtLabel=0;
stIndex wpLabel=0;
stIndex whnpLabel=0;
stIndex whppLabel=0;
stIndex whadvpLabel=0;
stIndex wpdLabel=0;
stIndex wrbLabel=0;
stIndex sLabel=0;
stIndex s1Label=0;
stIndex dtLabel=0;
stIndex pdtLabel=0;
stIndex mdLabel=0;
stIndex vpLabel=0;
stIndex vbgLabel=0;
stIndex vbLabel=0;
stIndex vbpLabel=0;
stIndex vbzLabel=0;
stIndex vbnLabel=0;
stIndex vbdLabel=0;
stIndex posLabel=0;
stIndex sbarLabel=0;
stIndex sinvLabel=0;
stIndex advpLabel=0;
stIndex rbLabel=0;
stIndex colonLabel=0;
stIndex periodLabel=0;
stIndex questionLabel=0;
stIndex inLabel=0;
stIndex toLabel=0;
stIndex symLabel=0;
stIndex codeLabel=0;
stIndex openLabel=0;
stIndex closedLabel=0;
stIndex halfClosedLabel=0;
stIndex halfOpenLabel=0;
stIndex  exclLabel=0;
stIndex notLabel;
stIndex ntLabel;
stIndex thatLabel;
stIndex theLabel;
stIndex aLabel;
stIndex ofLabel;
stIndex anLabel;
stIndex itLabel;
stIndex qpLabel;
stIndex persLabel;
stIndex orgLabel;
stIndex locLabel;
stIndex pctLabel;
stIndex timeLabel;
stIndex dateLabel;
stIndex mnyLabel;
stIndex argIns[10];
stIndex haves[4];
stIndex vbns[3];
stIndex bes[7];
stIndex dos[4];
const int N_PRNS = 27;
string pros[N_PRNS]= {"he","him","his","himself","she","her","hers","herself",
				  "it","its","itself", /*11 */
				  "they","them","theirs","their","themselves", /* 16 */
				  "i","me","my","myself", /* 20 */
				  "you","your","yourself", /* 23 */
				  "we","us","our","ourselves" /* 27 */
};
stIndex prossi[N_PRNS];

const int N_GE_PRNS = 14;
string ge_pros[N_GE_PRNS]= {"he","him","his","she","her","hers","it","its","them","their","i","you","they","me"};
stIndex ge_prossi[N_GE_PRNS];

void
setLabs(SymbolTable* gst)
{
  blankLabel=gst->toIndex("");
  npLabel=gst->toIndex("NP");
  auxLabel=gst->toIndex("AUX");
  auxgLabel=gst->toIndex("AUXG");
  mdLabel=gst->toIndex("MD");
  nnpLabel=gst->toIndex("NNP");
  nnLabel=gst->toIndex("NN");
  dolLabel=gst->toIndex("$");
  ppLabel=gst->toIndex("PP");
  ccLabel=gst->toIndex("CC");
  cdLabel=gst->toIndex("CD");
  conjpLabel=gst->toIndex("CONJP");
  commaLabel=gst->toIndex(",");
  prpLabel=gst->toIndex("PRP");
  prpdLabel=gst->toIndex("PRP$");
  exLabel=gst->toIndex("EX");
  wpLabel=gst->toIndex("WP");
  whadvpLabel=gst->toIndex("WHADVP");
  whppLabel=gst->toIndex("WHPP");
  wpdLabel=gst->toIndex("WP$");
  wrbLabel=gst->toIndex("WRB");
  wdtLabel=gst->toIndex("WDT");
  whnpLabel=gst->toIndex("WHNP");
  dtLabel=gst->toIndex("DT");
  pdtLabel=gst->toIndex("PDT");
  sLabel=gst->toIndex("S");
  s1Label=gst->toIndex("S1");
  vpLabel=gst->toIndex("VP");
  vbgLabel=gst->toIndex("VBG");
  vbLabel=gst->toIndex("VB");
  vbpLabel=gst->toIndex("VBP");
  vbzLabel=gst->toIndex("VBZ");
  vbnLabel=gst->toIndex("VBN");
  vbdLabel=gst->toIndex("VBD");
  posLabel=gst->toIndex("POS");
  nnsLabel=gst->toIndex("NNS");
  nnpsLabel=gst->toIndex("NNPS");
  sbarLabel=gst->toIndex("SBAR");
  sinvLabel=gst->toIndex("SINV");
  advpLabel=gst->toIndex("ADVP");
  rbLabel=gst->toIndex("RB");
  colonLabel=gst->toIndex(":");
  periodLabel=gst->toIndex(".");
  questionLabel=gst->toIndex("?");
  openLabel=gst->toIndex("``");
  closedLabel=gst->toIndex("''");
  halfClosedLabel=gst->toIndex("'");
  halfOpenLabel=gst->toIndex("`");
  inLabel=gst->toIndex("IN");
  toLabel=gst->toIndex("TO");
  symLabel=gst->toIndex("SYM");
  codeLabel=gst->toIndex("CODE");
  exclLabel=gst->toIndex("!");
  itLabel=gst->toIndex("it");
  qpLabel=gst->toIndex("QP");
  persLabel=gst->toIndex("person");
  locLabel=gst->toIndex("location");
  orgLabel=gst->toIndex("organization");
  timeLabel=gst->toIndex("time");
  dateLabel=gst->toIndex("date");
  pctLabel=gst->toIndex("percentage");
  mnyLabel=gst->toIndex("money");
  int i;
  for(i=0;i<N_PRNS;i++) prossi[i]=gst->toIndex(pros[i]);
  for(i=0;i<N_GE_PRNS;i++) ge_prossi[i]=gst->toIndex(ge_pros[i]);
  notLabel=gst->toIndex("not");
  ntLabel=gst->toIndex("n't");
  thatLabel=gst->toIndex("that");
  theLabel=gst->toIndex("the");
  anLabel=gst->toIndex("an");
  aLabel=gst->toIndex("a");
  ofLabel=gst->toIndex("of");
  argIns[0]=gst->toIndex("to");
  argIns[1]=gst->toIndex("of");
  argIns[2]=gst->toIndex("by");
  argIns[3]=gst->toIndex("about");
  argIns[4]=gst->toIndex("from");
  argIns[5]=gst->toIndex("at");
  argIns[6]=gst->toIndex("for");
  argIns[7]=gst->toIndex("against");
  argIns[8]=gst->toIndex("than");
  argIns[9]=gst->toIndex("for");
  haves[0]=gst->toIndex("have");
  haves[1]=gst->toIndex("has");
  haves[2]=gst->toIndex("had");
  haves[3]=gst->toIndex("having");
  bes[0]=gst->toIndex("be");
  bes[1]=gst->toIndex("was");
  bes[2]=gst->toIndex("were");
  bes[3]=gst->toIndex("been");
  bes[4]=gst->toIndex("am");
  bes[5]=gst->toIndex("are");
  bes[6]=gst->toIndex("is");
  vbns[0]=gst->toIndex("been");  
  vbns[1]=gst->toIndex("had");  
  vbns[2]=gst->toIndex("done");  
  dos[0]=gst->toIndex("done");  
  dos[1]=gst->toIndex("do");  
  dos[2]=gst->toIndex("did");  
  dos[3]=gst->toIndex("doing");
}
